// DlgProxy.cpp : implementation file
//

#include "stdafx.h"
#include "ASocketDemo.h"
#include "DlgProxy.h"
#include "ASocketDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CASocketDemoDlgAutoProxy

IMPLEMENT_DYNCREATE(CASocketDemoDlgAutoProxy, CCmdTarget)

CASocketDemoDlgAutoProxy::CASocketDemoDlgAutoProxy()
{
	EnableAutomation();
	
	// To keep the application running as long as an automation 
	//	object is active, the constructor calls AfxOleLockApp.
	AfxOleLockApp();

	// Get access to the dialog through the application's
	//  main window pointer.  Set the proxy's internal pointer
	//  to point to the dialog, and set the dialog's back pointer to
	//  this proxy.
	ASSERT (AfxGetApp()->m_pMainWnd != NULL);
	ASSERT_VALID (AfxGetApp()->m_pMainWnd);
	ASSERT_KINDOF(CASocketDemoDlg, AfxGetApp()->m_pMainWnd);
	m_pDialog = (CASocketDemoDlg*) AfxGetApp()->m_pMainWnd;
	m_pDialog->m_pAutoProxy = this;
}

CASocketDemoDlgAutoProxy::~CASocketDemoDlgAutoProxy()
{
	// To terminate the application when all objects created with
	// 	with automation, the destructor calls AfxOleUnlockApp.
	//  Among other things, this will destroy the main dialog
	if (m_pDialog != NULL)
		m_pDialog->m_pAutoProxy = NULL;
	AfxOleUnlockApp();
}

void CASocketDemoDlgAutoProxy::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}

BEGIN_MESSAGE_MAP(CASocketDemoDlgAutoProxy, CCmdTarget)
	//{{AFX_MSG_MAP(CASocketDemoDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CASocketDemoDlgAutoProxy, CCmdTarget)
	//{{AFX_DISPATCH_MAP(CASocketDemoDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IASocketDemo to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .ODL file.

// {47123545-1099-11D6-AAFB-005056C00001}
static const IID IID_IASocketDemo =
{ 0x47123545, 0x1099, 0x11d6, { 0xaa, 0xfb, 0x0, 0x50, 0x56, 0xc0, 0x0, 0x1 } };

BEGIN_INTERFACE_MAP(CASocketDemoDlgAutoProxy, CCmdTarget)
	INTERFACE_PART(CASocketDemoDlgAutoProxy, IID_IASocketDemo, Dispatch)
END_INTERFACE_MAP()

// The IMPLEMENT_OLECREATE2 macro is defined in StdAfx.h of this project
// {47123543-1099-11D6-AAFB-005056C00001}
IMPLEMENT_OLECREATE2(CASocketDemoDlgAutoProxy, "ASocketDemo.Application", 0x47123543, 0x1099, 0x11d6, 0xaa, 0xfb, 0x0, 0x50, 0x56, 0xc0, 0x0, 0x1)

/////////////////////////////////////////////////////////////////////////////
// CASocketDemoDlgAutoProxy message handlers
